You are Here:
Install Updates Gimp Error - see Security & Bug Fixes Section Sticky



Version Lock Does Not Work With a dist-upgrade

Author (Read 1495 times)

0 Members and 1 Guest are viewing this topic.

Version Lock Does Not Work With a dist-upgrade
« on: April 01, 2014, 03:29:10 PM »
 

leegold

  • Guest
Hi,

In Synaptic Software manager I lock a version of gqview, it appears red in Synaptic and seems to indicate it's locked. But when I do a dist-upgrade it updates to geeqie and newer version of gqview.

Is there away when I run upgrade to skip the "upgrade" for gqview or block anything named geeqie?
 


Re: Version Lock Does Not Work With a dist-upgrade
« Reply #1 on: April 03, 2014, 10:36:31 PM »
 

gold_finger

  • Documentation Writer
  • Platinum Level Poster
  • *****
  • 1095
    Posts
  • Country: us
  • Reputation: 323
  • Linux Lite Member

  • Linux Lite: 3.2 64bit

  • CPU: Intel Core2 Duo E7500 3.0GHz

  • MEMORY: 4Gb

  • VIDEO CARD: Intel 4 Series Integrated Graphics
From what I gather, Synaptic only affects things done with Synaptic -- it won't stop other package handlers from doing things.  (Why?  I don't know.)  The better way seems to be by doing either of these two commands:

Code: [Select]
sudo apt-mark hold gqview
Or

Code: [Select]
echo gqview hold | dpkg --set-selections(Note: some sets of instructions have quotations around "gqview hold"; others don't -- so I don't think it matters which way you choose.)

There is also something called "Pinning" packages, but I'm not entirely clear on the usage of it.  Here's some further info to look through:

https://help.ubuntu.com/community/AptGet/Howto
https://help.ubuntu.com/community/PinningHowto
http://askubuntu.com/questions/18654/how-to-prevent-updating-of-a-specific-package
http://linuxaria.com/pills/how-to-stop-package-from-being-updated-in-linux?lang=en
Try Linux Beginner Search Engine for answers to Linux questions.
 

Re: Version Lock Does Not Work With a dist-upgrade
« Reply #2 on: April 11, 2014, 01:55:33 AM »
 

leegold

  • Guest
Thanks for this :)
 


Tags:
 


Install Updates Gimp Error - see Security & Bug Fixes Section Sticky